---
title: List available Cloud Cost Management metrics
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Cloud Cost Management
---

# List available Cloud Cost Management metrics{% #list-available-cloud-cost-management-metrics %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                       |
| ----------------- | ------------------------------------------------------------------ |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/cost/tag_metadata/metrics |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/cost/tag_metadata/metrics |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/cost/tag_metadata/metrics      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/cost/tag_metadata/metrics      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/cost/tag_metadata/metrics  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/cost/tag_metadata/metrics     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/cost/tag_metadata/metrics |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/cost/tag_metadata/metrics |

### Overview

List Cloud Cost Management metrics that have data for the requested period. This endpoint requires the `cloud_cost_management_read` permission.

OAuth apps require the `cloud_cost_management_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#cloud-cost-management) to access this endpoint.



### Arguments

#### Query Strings

| Name                            | Type   | Description                                                                                                                                                                                                                                                                     |
| ------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| filter[month] [*required*] | string | The month to scope the query to, in `YYYY-MM` format.                                                                                                                                                                                                                           |
| filter[provider]                | string | Filter results to a specific provider. Common cloud values are `aws`, `azure`, `gcp`, `Oracle` (OCI), and `custom`. SaaS billing integrations (for example, `Snowflake`, `MongoDB`, `Databricks`) are also accepted using their display-name string. Values are case-sensitive. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
List of available Cloud Cost Management metrics for the requested period.

| Parent field | Field                  | Type     | Description                                                                                     |
| ------------ | ---------------------- | -------- | ----------------------------------------------------------------------------------------------- |
|              | data [*required*] | [object] | List of available metrics.                                                                      |
| data         | id [*required*]   | string   | The metric name, for example `aws.cost.net.amortized`.                                          |
| data         | type [*required*] | enum     | Type of the Cloud Cost Management available metric resource. Allowed enum values: `cost_metric` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "id": "aws.cost.net.amortized",
      "type": "cost_metric"
    },
    {
      "id": "gcp.cost.amortized",
      "type": "cost_metric"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Required query arguments export filter[month]="2026-02" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/cost/tag_metadata/metrics?filter[month]=${filter[month]}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
